Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
accounts
/
alias
/
{alias}
/
balances
Recuperar un Saldo by Account Alias
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/accounts/alias/{alias}/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>'
{
  "id": "string",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "ledgerId": "a2873d47-59a8-4daf-a325-cb2c04557dd7",
  "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
  "alias": "string",
  "key": "string",
  "assetCode": "string",
  "available": "1000.00",
  "onHold": "50.00",
  "version": 0,
  "accountType": "string",
  "allowSending": true,
  "allowReceiving": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": null
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Content-Type
string
requerido

El tipo de medio del recurso. Debe ser application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

alias
string
requerido

The alias for the account used in the operation.

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

id
string

The unique identifier of the Balance.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

accountId
string<uuid>

El identificador único de la Cuenta.

alias
string

The alias for the account used in the operation.

key
string

El identificador único del saldo en el contexto de la cuenta.

assetCode
string

The name of the asset used in the operation.

available
string

Previous available balance.

onHold
string

Amount on hold/reserved.

version
integer

Balance version, which is updated with each transaction.

accountType
string

The type of account.

allowSending
boolean

Si es verdadero, indica que el saldo puede ser utilizado para enviar transacciones.

allowReceiving
boolean

Si es verdadero, indica que el saldo puede ser utilizado para recibir transacciones.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.